<?php
/**
 * Theme Customizer Controls
 *
 * @package Legacy Book Club
 */

if ( ! function_exists( 'legacy_book_club_customizer_global_color_setting_register' ) ) :
function legacy_book_club_customizer_global_color_setting_register( $wp_customize ) {
 
 	$wp_customize->add_section(
        'legacy_book_club_global_color_settings',
        array (
            'priority'      => 40,
            'capability'    => 'edit_theme_options',
            'title'         => esc_html__( 'Global Color Settings', 'legacy-book-club' )
        )
    );

    // Title label
	$wp_customize->add_setting( 
		'legacy_book_club_theme_color_settings', 
		array(
		    'sanitize_callback' => 'legacy_book_club_sanitize_title',
		) 
	);

	$wp_customize->add_control( 
		new Legacy_Book_Club_Title_Info_Control( $wp_customize, 'legacy_book_club_theme_color_settings', 
		array(
		    'label'       => esc_html__( 'Global Color Settings', 'legacy-book-club' ),
		    'section'     => 'legacy_book_club_global_color_settings',
		    'type'        => 'legacy-book-club-title',
		    'settings'    => 'legacy_book_club_theme_color_settings',
		) 
	));

	$wp_customize->add_setting('legacy_book_club_global_color1',
        array(
            'type' => 'theme_mod',
            'default'           => '#564c4d',
            'sanitize_callback' => 'sanitize_hex_color'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'legacy_book_club_global_color1',
            array(
                'label'      => esc_html__( 'Global Color1', 'legacy-book-club' ),
                'section'    => 'legacy_book_club_global_color_settings',
                'settings'   => 'legacy_book_club_global_color1',
            )
        )
    ); 

    $wp_customize->add_setting('legacy_book_club_global_color2',
        array(
            'type' => 'theme_mod',
            'default'           => '#151519',
            'sanitize_callback' => 'sanitize_hex_color'
        )
    );

    $wp_customize->add_control(
        new WP_Customize_Color_Control(
            $wp_customize,
            'legacy_book_club_global_color2',
            array(
                'label'      => esc_html__( 'Global Color2', 'legacy-book-club' ),
                'section'    => 'legacy_book_club_global_color_settings',
                'settings'   => 'legacy_book_club_global_color2',
            )
        )
    );   

}
endif;

add_action( 'customize_register', 'legacy_book_club_customizer_global_color_setting_register' );